## pbgenomicconsensus 2.1.0

=== Makefile ===
SHELL = /bin/bash -e
INTERNAL_UTILS_PATH = /mnt/secondary/Share/Quiver/Tools

bdist:
	python setup.py build --executable="/usr/bin/env python"
	python setup.py bdist --formats=egg

install:
	python setup.py install

develop:
	python setup.py develop

tests:
	# Unit tests
	nosetests --with-xunit tests/unit
	# End-to-end tests
	PATH=`pwd`:$(PATH) cram tests/cram/*.t

extra-tests:
	# Tests that need to be run by Jenkins but are slowing
	# down the development cycle, so aren't run by "tests"
	# target.
	PATH=`pwd`:$(PATH) cram tests/cram/extra/*.t

internal-tests:
	# Long running tests that depend on files located on PacBio internal NFS
	# servers, including some utilities (exonerate suite, MuMMer)
	(. /mnt/software/Modules/current/init/bash && \
	 module add mummer/3.23         && \
	 module add exonerate/2.0.0     && \
	 module add blasr/2.3.0         && \
	 module add gfftools/dalexander && \
	 cram tests/cram/internal/*.t)

doc:
	cd doc; make html

clean:
	-rm -rf dist/ build/ *.egg-info
	-rm -rf doc/_build
	-rm -f nosetests.xml
	-find . -name "*.pyc" | xargs rm -f

tags:
	find GenomicConsensus -name "*.py" | xargs etags

pip-install:
	@which pip > /dev/null
	@pip freeze|grep 'GenomicConsensus=='>/dev/null \
      && pip uninstall -y GenomicConsensus \
      || true
	@pip install --no-index \
           --install-option="--install-scripts=$(PREFIX)/bin" \
           ./

# Aliases
docs: doc
check: tests
test: tests

.PHONY: check test tests doc docs clean tags

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GenomicConsensus.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GenomicConsensus.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GenomicConsensus"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GenomicConsensus"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pbgenomicconsensus 2.0.0+20151210

=== debian/changelog ===
pbgenomicconsensus (2.0.0+20151210-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0+20151210
    (corresponds to upstream release tag "smrtanalysis-3.0.2")
  * Update patches
  * Revise debian/*.install file to not be so specific
  * Remove manpage for nonexistent script
  * Add dependency on pbcommand
  * Add strict dependency on same version of backend library from same package
  * Rename manpages to match executables where language extensions dropped upstream
  * Add NEWS file to advise users of renamed scripts
  * Use secure VCS URLs in debian/control

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 12 Feb 2016 00:47:38 -0800

pbgenomicconsensus (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0 (untagged release: bee9a1f from Jun 24)

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 24 Nov 2015 23:47:01 -0800

pbgenomicconsensus (1.0.0-2) unstable; urgency=low

  * Fix autopkgtest dependencies.

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 23 Nov 2015 21:18:46 -0800

pbgenomicconsensus (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #794447)

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 13 Oct 2015 21:51:10 -0700

=== debian/control ===
Source: pbgenomicconsensus
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python-docutils,
	       python-pkg-resources,
	       python-nose,
	       python-cram,
	       python-all,
	       python-setuptools,
	       python-pbconsensuscore,
	       python-pbcore,
	       python-pbcommand (>= 0.2.0),
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/GenomicConsensus
Vcs-Git: https://anonscm.debian.org/git/debian-med/pbgenomicconsensus.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbgenomicconsensus.git

Package: pbgenomicconsensus
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-pkg-resources,
	 python-pbgenomicconsensus (= ${source:Version})
Description: Pacific Biosciences variant and consensus caller
 The GenomicConsensus package provides Quiver, Pacific Biosciences'
 flagship consensus and variant caller. Quiver is an algorithm that finds
 the maximum likelihood template sequence given PacBio reads of the template.
 These reads are modeled using a conditional random field approach that
 prescribes a probability to a read given a template sequence. In addition to
 the base sequence of each read, Quiver uses several additional quality value
 covariates that the base caller provides.
 .
 This package is part of the SMRTAnalysis suite

Package: python-pbgenomicconsensus
Section: python
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends}
Description: Pacific Biosciences variant and consensus caller (Python 2)
 The GenomicConsensus package provides Quiver, Pacific Biosciences'
 flagship consensus and variant caller. Quiver is an algorithm that finds
 the maximum likelihood template sequence given PacBio reads of the template.
 These reads are modeled using a conditional random field approach that
 prescribes a probability to a read given a template sequence. In addition to
 the base sequence of each read, Quiver uses several additional quality value
 covariates that the base caller provides.
 .
 This package is part of the SMRTAnalysis suite and provides the Python 2
 backend library.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export PYBUILD_NAME := $(DEB_SOURCE)
MANDIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/bin:$$PATH $(MAKE) tests

override_dh_install:
	dh_install
	mkdir -p $(MANDIR)/man5 $(MANDIR)/man1 $(MANDIR)/man7
	rst2man doc/VariantsGffSpecification.rst > $(MANDIR)/man5/pbgff.5
	rst2man doc/VariantCallerFunctionalSpecification.rst > $(MANDIR)/man1/variantCaller.1
	rst2man doc/HowToQuiver.rst > $(MANDIR)/man1/quiver.1
	rst2man doc/QuiverFAQ.rst > $(MANDIR)/man7/quiver-faq.7

=== debian/tests/control ===
Test-Command: make tests
Depends: @, python-nose, python-cram, make
Restrictions: allow-stderr

Test-Command: make extra-tests
Depends: @, python-cram, make

## pbgenomicconsensus 2.0.0+20160420

=== debian/changelog ===
pbgenomicconsensus (2.0.0+20160420-2) unstable; urgency=low

  * Remove convenience script for poa (Closes: #831220)

 -- Afif Elghraoui <afif@debian.org>  Sat, 16 Jul 2016 12:55:32 -0700

pbgenomicconsensus (2.0.0+20160420-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0+20160420 (upstream git 782a362)
    (Closes: #830358)
  * Add explicit, versioned build-dependencies
  * Install python scripts at build time rather than patching setup.py
  * Redo and reorganize manpages
  * Bump Standards-Version to 3.9.8
  * Suggest consensuscore2
  * Install new examples

 -- Afif Elghraoui <afif@debian.org>  Fri, 08 Jul 2016 08:59:07 -0700

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,34 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@ghraoui.name>
-Build-Depends: debhelper (>= 9),
-	       dh-python,
-	       python-docutils,
-	       python-pkg-resources,
-	       python-nose,
-	       python-cram,
-	       python-all,
-	       python-setuptools,
-	       python-pbconsensuscore,
-	       python-pbcore,
-	       python-pbcommand (>= 0.2.0),
-Standards-Version: 3.9.6
+Uploaders: Afif Elghraoui <afif@debian.org>
+Build-Depends:
+	debhelper (>= 9),
+	dh-python,
+	pandoc,
+	python-pkg-resources,
+	python-all,
+	python-setuptools,
+	python-pbconsensuscore (>= 1.0.1),
+	python-pbcore (>= 1.2.9),
+	python-pbcommand (>= 0.3.20),
+	python-h5py (>= 2.0.1),
+	python-numpy (>= 1.6.0),
+# Test-Depends:
+	python-nose,
+	python-cram,
+Standards-Version: 3.9.8
 Homepage: https://github.com/PacificBiosciences/GenomicConsensus
 Vcs-Git: https://anonscm.debian.org/git/debian-med/pbgenomicconsensus.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbgenomicconsensus.git
 
 Package: pbgenomicconsensus
 Architecture: all
-Depends: ${misc:Depends},
-	 ${python:Depends},
-	 python-pkg-resources,
-	 python-pbgenomicconsensus (= ${source:Version})
+Depends:
+	${misc:Depends},
+	${python:Depends},
+	python-pkg-resources,
+	python-pbgenomicconsensus (= ${source:Version}),
 Description: Pacific Biosciences variant and consensus caller
  The GenomicConsensus package provides Quiver, Pacific Biosciences'
  flagship consensus and variant caller. Quiver is an algorithm that finds
@@ -39,8 +44,11 @@
 Package: python-pbgenomicconsensus
 Section: python
 Architecture: all
-Depends: ${misc:Depends},
-	 ${python:Depends}
+Depends:
+	${misc:Depends},
+	${python:Depends},
+Suggests:
+	python-consensuscore2,
 Description: Pacific Biosciences variant and consensus caller (Python 2)
  The GenomicConsensus package provides Quiver, Pacific Biosciences'
  flagship consensus and variant caller. Quiver is an algorithm that finds

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export PYBUILD_NAME := $(DEB_SOURCE)
BINDIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/
MANDIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/

manpages = \
pbgff.5.md \
variantCaller.1.md \
genomicconsensus.7.md \

%: %.md
	pandoc -s --to man $< -o $@


%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	chmod +x bin/gffToBed
	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/bin:$$PATH $(MAKE) tests
	chmod -x bin/gffToBed

override_dh_auto_build: docs
	dh_auto_build

.PHONY: docs
docs: $(addprefix $(CURDIR)/debian/man/, $(manpages:.md=))

.PHONY: clean-docs
clean-docs:
	$(RM) $(addprefix $(CURDIR)/debian/man/, $(manpages:.md=))

override_dh_install:
	dh_install
# Place executable programs in the main package
	mkdir -p $(BINDIR)
	mv debian/python-$(DEB_SOURCE)/usr/bin/* $(BINDIR)
# Remove convenience script for poa; it conflicts with the poa package
# See #831220
	$(RM) $(BINDIR)/poa

override_dh_auto_clean: clean-docs
	dh_auto_clean

# Helper for setting up the documentation as manpages
# Usage: VPATH=doc/ debian/rules prepare-doc
prepare-doc: $(manpages)

pbgff.5.md: VariantsGffSpecification.rst
variantCaller.1.md: VariantCallerFunctionalSpecification.rst
genomicconsensus.7.md: FAQ.rst

$(manpages):
	pandoc -s $< -o $@

=== debian/tests/control ===
Test-Command: make tests
Depends:
	@,
	python-nose,
	python-cram,
	make,
Restrictions: allow-stderr

Test-Command: make extra-tests
Depends:
	@,
	python-cram,
	make,

## pbgenomicconsensus 2.1.0

=== debian/changelog ===
pbgenomicconsensus (2.1.0-1) unstable; urgency=medium

  * New upstream release snapshot
    (git 5893b16, 2016-07-19)
  * Update manpage for new release
  * Adapt test suite for missing pbtestdata
  * autopkgtest: make sure to test installed version of the package
  * Add python-consensuscore2 to Recommends
  * Add lintian override for autopkgtest dependency list
  * Install FAQ into docs rather than as a manpage

 -- Afif Elghraoui <afif@debian.org>  Sat, 21 Jan 2017 16:15:53 -0800

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	python-h5py (>= 2.0.1),
 	python-numpy (>= 1.6.0),
 # Test-Depends:
+#	pbtestdata, (#832311)
 	python-nose,
 	python-cram,
 Standards-Version: 3.9.8
@@ -30,6 +31,7 @@
 	${python:Depends},
 	python-pkg-resources,
 	python-pbgenomicconsensus (= ${source:Version}),
+Recommends: python-consensuscore2
 Description: Pacific Biosciences variant and consensus caller
  The GenomicConsensus package provides Quiver, Pacific Biosciences'
  flagship consensus and variant caller. Quiver is an algorithm that finds

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 manpages = \
 pbgff.5.md \
 variantCaller.1.md \
-genomicconsensus.7.md \
 
 %: %.md
 	pandoc -s --to man $< -o $@
@@ -55,7 +54,6 @@
 
 pbgff.5.md: VariantsGffSpecification.rst
 variantCaller.1.md: VariantCallerFunctionalSpecification.rst
-genomicconsensus.7.md: FAQ.rst
 
 $(manpages):
 	pandoc -s $< -o $@

=== debian/tests/control ===
Test-Command:
	cp -r Makefile tests $AUTOPKGTEST_TMP
	&& cd $AUTOPKGTEST_TMP
	&& make tests
Depends:
	@,
	python-nose,
	python-cram,
	make,
Restrictions: allow-stderr

Test-Command:
	cp -r Makefile tests $AUTOPKGTEST_TMP
	&& cd $AUTOPKGTEST_TMP
	&& make extra-tests
Depends:
	@,
	python-cram,
	make,

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/pbgenomicconsensus-$1.tar.gz/" \
    https://github.com/PacificBiosciences/GenomicConsensus/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## pbgenomicconsensus 2.3.2

=== Makefile ===
SHELL = /bin/bash -e
INTERNAL_UTILS_PATH = /mnt/secondary/Share/Quiver/Tools

develop:
	python setup.py develop

tests: unit-tests basic-tests

unit-tests:
	# Unit tests
	py.test --junit-xml=nosetests.xml tests/unit

# Note: We need at least cram/0.7 for '--xunit-file'
# Note: The cram tests often need h5py.

basic-tests:
	# End-to-end tests
	# One of these now needs mummer and exonerate.
	PATH=`pwd`:$(PATH) cram --xunit-file=gc-cram.xml tests/cram/*.t

extra-tests:
	# Tests that need to be run by Jenkins but are slowing
	# down the development cycle, so aren't run by "tests"
	# target.
	PATH=`pwd`:$(PATH) cram --xunit-file=gc-extra-cram.xml tests/cram/extra/*.t

internal-tests:
	# Long running tests that depend on files located on PacBio internal NFS
	# servers, including some utilities (exonerate suite, MuMMer, blasr, gfftools)
	 cram --xunit-file=gc-internal-cram.xml tests/cram/internal/*.t

doc:
	cd doc; make html

clean:
	-rm -rf dist/ build/ *.egg-info
	-rm -rf doc/_build
	-rm -f nosetests.xml coverage.xml
	-find . -name "*.pyc" | xargs rm -f

tags:
	find GenomicConsensus -name "*.py" | xargs etags

# Aliases
docs: doc
check: tests
test: tests

.PHONY: check test tests doc docs clean tags

=== debian/changelog ===
pbgenomicconsensus (2.3.2-5) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest dependencies
    Closes: #925909

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 07 Apr 2019 13:58:37 +0200

pbgenomicconsensus (2.3.2-4) unstable; urgency=medium

  * Fix dependencies
    Closes: #925909
  * unset GZIP in autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 06 Apr 2019 11:16:49 +0200

pbgenomicconsensus (2.3.2-3) unstable; urgency=medium

  * Really fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 02 Apr 2019 21:29:59 +0200

pbgenomicconsensus (2.3.2-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Remove myself from Uploaders

  [ Andreas Tille ]
  * Add myself to Uploaders
  * python-pbgenomicconsensus Depends: python-pbconsensuscore
  * Test Depends: poa
  * Ignore some warnings which are breaking test results, remove
    tests that are based on non-existing input data
  * Move exclusion of tests to upstream Makefile via patch rather than
    in d/rules.  This is needed to run autopkgtest successfully
    Closes: #925909

 -- Andreas Tille <tille@debian.org>  Tue, 02 Apr 2019 11:02:18 +0200

pbgenomicconsensus (2.3.2-1) unstable; urgency=medium

  * Team upload

  [ Afif Elghraoui ]
  * New upstream release snapshot
    (git 0d51d50, 2018-03-07)
  * Add README.source explaining how to select upstream snapshots

  [ Andreas Tille ]
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Build-Depends: python-pytest
  * Build-Depends: python-consensuscore2 (to be uploaded, see ITP #847310)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * Several changes to make test suite work
  * Pre-create manpages (seems there is no point in calling pandoc inside
    build process.)
  * Remove unused lintian-override

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 21:19:28 +0100

=== debian/control ===
Source: pbgenomicconsensus
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               pandoc,
               python-pkg-resources,
               python-all,
               python-setuptools,
               python-pbconsensuscore,
               python-pbcore (>= 1.2.9),
               python-pbcommand (>= 0.3.20),
               python-h5py,
               python-numpy,
# Test-Depends:
#              pbtestdata, (#832311)
               python-nose,
               python-cram,
               python-pytest,
               python-consensuscore2,
               mummer,
               exonerate
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/pbgenomicconsensus
Vcs-Git: https://salsa.debian.org/med-team/pbgenomicconsensus.git
Homepage: https://github.com/PacificBiosciences/GenomicConsensus

Package: pbgenomicconsensus
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pkg-resources,
         python-pbgenomicconsensus (= ${source:Version})
Recommends: python-consensuscore2
Description: Pacific Biosciences variant and consensus caller
 The GenomicConsensus package provides Quiver, Pacific Biosciences'
 flagship consensus and variant caller. Quiver is an algorithm that finds
 the maximum likelihood template sequence given PacBio reads of the template.
 These reads are modeled using a conditional random field approach that
 prescribes a probability to a read given a template sequence. In addition to
 the base sequence of each read, Quiver uses several additional quality value
 covariates that the base caller provides.
 .
 This package is part of the SMRTAnalysis suite

Package: python-pbgenomicconsensus
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-pbconsensuscore,
         python-h5py,
         python-numpy
Suggests: python-consensuscore2
Description: Pacific Biosciences variant and consensus caller (Python 2)
 The GenomicConsensus package provides Quiver, Pacific Biosciences'
 flagship consensus and variant caller. Quiver is an algorithm that finds
 the maximum likelihood template sequence given PacBio reads of the template.
 These reads are modeled using a conditional random field approach that
 prescribes a probability to a read given a template sequence. In addition to
 the base sequence of each read, Quiver uses several additional quality value
 covariates that the base caller provides.
 .
 This package is part of the SMRTAnalysis suite and provides the Python 2
 backend library.

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,12 @@
 	dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	chmod +x bin/gffToBed
-	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/bin:$$PATH $(MAKE) tests
+	unset GZIP ; \
+	PYTHONPATH=$(CURDIR) PATH=$(CURDIR)/bin:$$PATH $(MAKE) -j1 tests
 	chmod -x bin/gffToBed
+endif
 
 override_dh_auto_build: docs
 	dh_auto_build

=== debian/tests/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Test-Command:
-	cp -r Makefile tests $AUTOPKGTEST_TMP
+	unset GZIP
+	&& cp -r Makefile tests $AUTOPKGTEST_TMP
 	&& cd $AUTOPKGTEST_TMP
 	&& make tests
 Depends:
 	@,
 	python-nose,
+        python-pytest,
 	python-cram,
 	make,
+	poa,
+	python-consensuscore2
 Restrictions: allow-stderr
 
 Test-Command:
